package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同-供应商责任表
 * </p>
 *
 * @author liutao
 * @since 2022-07-14
 */
@TableName("purch_contract_seller_blame_history")
public class PurchContractSellerBlameHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 供应商违约金比例
     */
    @TableField("penalty_rate")
    private BigDecimal penaltyRate;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    public BigDecimal getPenaltyRate() {
        return penaltyRate;
    }

    public void setPenaltyRate(BigDecimal penaltyRate) {
        this.penaltyRate = penaltyRate;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }

    @Override
    public String toString() {
        return "PurchContractSellerBlameHistory{" +
            "penaltyRate=" + penaltyRate +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
        "}";
    }
}
